## ros-humble-bondcpp 3.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(bondcpp)

if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(bond REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_lifecycle REQUIRED)
find_package(smclib REQUIRED)
find_package(Threads REQUIRED)

find_package(PkgConfig REQUIRED)
pkg_check_modules(UUID REQUIRED uuid)
# we have to find the absolute path to uuid as target_link_directories is not available before cmake 3.13
find_library(uuid_ABS_PATH ${UUID_LIBRARIES} PATHS ${UUID_LIBRARY_DIRS})

add_library(${PROJECT_NAME}
  SHARED
  src/bond.cpp
  src/BondSM_sm.cpp)
target_include_directories(${PROJECT_NAME} PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>
  ${UUID_INCLUDE_DIRS})
ament_target_dependencies(${PROJECT_NAME}
  bond
  rclcpp
  rclcpp_lifecycle
  smclib)
target_link_libraries(${PROJECT_NAME} ${uuid_ABS_PATH})

install(
  TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin)

install(
  DIRECTORY include/
  DESTINATION include)

ament_export_dependencies(ament_cmake)
ament_export_dependencies(bond rclcpp rclcpp_lifecycle smclib)
ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME})

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  set(ament_cmake_copyright_FOUND TRUE)
  ament_lint_auto_find_test_dependencies()
endif()
ament_package()

=== debian/changelog ===
ros-humble-bondcpp (3.0.2-3bookworm) bookworm; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Thu, 31 Mar 2022 16:00:00 -0000

ros-humble-bondcpp (3.0.1-3bookworm) bookworm; urgency=high

  * Fix cpplint/uncrustify errors.
  * Add build dependencies on pkg-config.
  * Contributors: Chris Lalancette

 -- Michael Carroll <michael@openrobotics.org>  Mon, 25 Jan 2021 16:00:00 -0000

ros-humble-bondcpp (3.0.0-3bookworm) bookworm; urgency=high

  * [Fixing CI] using chrono literals for durations from rclcpp API update (#69 <https://github.com/ros/bond_core/issues/69>)
  * Contributors: Steve Macenski

 -- Michael Carroll <michael@openrobotics.org>  Mon, 25 Jan 2021 16:00:00 -0000

ros-humble-bondcpp (2.0.0-3bookworm) bookworm; urgency=high

  * Lifecycle support 2 (#67 <https://github.com/ros/bond_core/issues/67>)
  * find uuid correctly on ubuntu and osx (#55 <https://github.com/ros/bond_core/issues/55>)
  * Ros2 devel (#54 <https://github.com/ros/bond_core/issues/54>)
  * Make Michael Carroll the maintainer (#40 <https://github.com/ros/bond_core/issues/40>)
  * Contributors: Karsten Knese, Mikael Arguedas, Steve Macenski

 -- Michael Carroll <michael@openrobotics.org>  Wed, 04 Nov 2020 16:00:00 -0000

ros-humble-bondcpp (1.8.3-3bookworm) bookworm; urgency=high

  * Argument to Boost Milliseconds must be integral in Boost >= 1.67 (#37 <https://github.com/ros/bond_core/issues/37>)
    * Argument to Boost milliseconds  must be integral
    * Fix style
    * More consistent type
  * Contributors: Paul-Edouard Sarlin

 -- Michael Carroll <michael@openrobotics.org>  Thu, 16 Aug 2018 16:00:00 -0000

ros-humble-bondcpp (1.8.2-3bookworm) bookworm; urgency=high

  * uuid dependency fixup (#36 <https://github.com/ros/bond_core/issues/36>)
    * dont export uuid dependency as this isnt anywhere in the public api
    * fixx uuid dependency in test_bond as well
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Thu, 26 Apr 2018 16:00:00 -0000

ros-humble-bondcpp (1.8.1-3bookworm) bookworm; urgency=high

  * fix package.xml to comply with schema (#30 <https://github.com/ros/bond_core/issues/30>)
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Thu, 26 Oct 2017 16:00:00 -0000

ros-humble-bondcpp (1.8.0-3bookworm) bookworm; urgency=high

  * Use SteadyTime and SteadyTimer for bond timeouts (#18 <https://github.com/ros/bond_core/issues/18>)
  * C++ style (#28 <https://github.com/ros/bond_core/issues/28>)
  * switch to package format 2 (#27 <https://github.com/ros/bond_core/issues/27>)
  * remove trailing whitespaces (#26 <https://github.com/ros/bond_core/issues/26>)
  * Contributors: Felix Ruess, Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Wed, 26 Jul 2017 16:00:00 -0000

ros-humble-bondcpp (1.7.19-3bookworm) bookworm; urgency=high

  * fix unused var warning
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Sun, 26 Mar 2017 16:00:00 -0000

ros-humble-bondcpp (1.7.18-3bookworm) bookworm; urgency=high

  * fix -isystem /usr/include build breakage in gcc6
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Sun, 23 Oct 2016 16:00:00 -0000

ros-humble-bondcpp (1.7.17-3bookworm) bookworm; urgency=high

  * update maintainer
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Mon, 14 Mar 2016 16:00:00 -0000

ros-humble-bondcpp (1.7.16-3bookworm) bookworm; urgency=high

  * Fix depedency version
  * Contributors: Esteve Fernandez

 -- Michael Carroll <michael@openrobotics.org>  Wed, 29 Oct 2014 16:00:00 -0000

ros-humble-bondcpp (1.7.15-3bookworm) bookworm; urgency=high

  * Added version dependency.
  * Removed redundant include_directories
  * Added cmake_modules in alphabetical order
  * Use FindUUID.cmake from cmake-modules to find the UUID libraries #8 <https://github.com/ros/bond_core/pull/8>
  * Contributors: Esteve Fernandez

 -- Michael Carroll <michael@openrobotics.org>  Mon, 27 Oct 2014 16:00:00 -0000

ros-humble-bondcpp (1.7.14-3bookworm) bookworm; urgency=high

  * Update maintainer field
  * Contributors: Esteve Fernandez, Vincent Rabaud

 -- Michael Carroll <michael@openrobotics.org>  Wed, 07 May 2014 16:00:00 -0000

ros-humble-bondcpp (1.7.13-3bookworm) bookworm; urgency=high

  * Use c++ style reinterpret_cast rather than c style cast
  * use rpc for uuid on windows
  * add missing archive/library/runtime destinations for library
  * Contributors: David Hodo, Dirk Thomas, William Woodall

 -- Michael Carroll <michael@openrobotics.org>  Tue, 20 Aug 2013 16:00:00 -0000

ros-humble-bondcpp (1.7.12-3bookworm) bookworm; urgency=high

  * fix dependency on exported targets if the variable is empty
  * use EXPORTED_TARGETS variable instead of explicit target names
  * Contributors: Dirk Thomas

 -- Michael Carroll <michael@openrobotics.org>  Wed, 05 Jun 2013 16:00:00 -0000

ros-humble-bondcpp (1.7.11-3bookworm) bookworm; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Tue, 12 Mar 2013 16:00:00 -0000

ros-humble-bondcpp (1.7.10-3bookworm) bookworm; urgency=high

  * add missing link library uuid #6 <https://github.com/ros/bond_core/issues/6>
  * Contributors: Dirk Thomas

 -- Michael Carroll <michael@openrobotics.org>  Sat, 12 Jan 2013 16:00:00 -0000

ros-humble-bondcpp (1.7.9-3bookworm) bookworm; urgency=high

  * modified dep type of catkin
  * Contributors: Dirk Thomas

 -- Michael Carroll <michael@openrobotics.org>  Wed, 26 Dec 2012 16:00:00 -0000

ros-humble-bondcpp (1.7.8-3bookworm) bookworm; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Wed, 12 Dec 2012 16:00:00 -0000

ros-humble-bondcpp (1.7.7-3bookworm) bookworm; urgency=high

  * Added missing link against catkin_LIBRARIES
  * Updated url tags in package.xml's #1 <https://github.com/ros/bond_core/pull/1>
  * updated catkin_package(DEPENDS)
  * Contributors: Dirk Thomas, William Woodall



=== debian/control ===
Source: ros-humble-bondcpp
Section: misc
Priority: optional
Maintainer: Michael Carroll <michael@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), pkg-config, ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-bond, ros-humble-rclcpp, ros-humble-rclcpp-lifecycle, ros-humble-smclib, uuid-dev, ros-humble-ros-workspace
Homepage: http://www.ros.org/wiki/bondcpp
Standards-Version: 3.9.2

Package: ros-humble-bondcpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-bond, ros-humble-rclcpp, ros-humble-rclcpp-lifecycle, ros-humble-smclib, uuid-dev, ros-humble-ros-workspace
Description: C++ implementation of bond, a mechanism for checking when another process has terminated.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-bondcpp//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-bondcpp//opt/ros/humble/opt/bondcpp/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
